import { HttpClient } from '@angular/common/http';
import { Injectable } from '@angular/core';
import { Observable } from 'rxjs';
import { IAppointment } from '../form/orientation-form-view/interfaces/appointment.interface';
import { IOnlineMediation } from '../form/orientation-form-view/interfaces/onlineMediation.interface';

@Injectable({
  providedIn: 'root',
})
export class OrientationService {
  constructor(private http: HttpClient) {}

  /**
   * Send appointment to server
   */
  public createAppointment(newAppointment: IAppointment): Observable<IAppointment> {
    return this.http.post<IAppointment>('/api/appointment', newAppointment);
  }

  /**
   * Send online mediation to server
   */
  public createOnlineMediation(newMediation: IOnlineMediation): Observable<IOnlineMediation> {
    return this.http.post<IOnlineMediation>('/api/online-mediation', newMediation);
  }
}
